DEFINE wemplot
  true_color_plotting off
  PLOT_TRANSFORMATION ALL { all colors    } .0 1.  .0 1.  .0 1.  SAME PENWIDTH 0.15 1
  { Color mapping for a RGB color cube devided into 8 color ranges }
  PLOT_TRANSFORMATION ALL { black range   } .0 .5  .0 .5  .0 .5  SAME PENWIDTH 0.35 1
  PLOT_TRANSFORMATION ALL { red range     } .5 1.  .0 .5  .0 .5  SAME PENWIDTH 0.15 1
  PLOT_TRANSFORMATION ALL { green range   } .0 .5  .5 1.  .0 .5  SAME PENWIDTH 0.40 1
  PLOT_TRANSFORMATION ALL { yellow range  } .5 1.  .5 1.  .0 .5  SAME PENWIDTH 0.20 1
  PLOT_TRANSFORMATION ALL { blue range    } .0 .5  .0 .5  .5 1.  SAME PENWIDTH 1.00 1
  PLOT_TRANSFORMATION ALL { magenta range } .5 1.  .0 .5  .5 1.  SAME PENWIDTH 0.50 1
  PLOT_TRANSFORMATION ALL { cyan range    } .0 .5  .5 1.  .5 1.  SAME PENWIDTH 0.30 1
  PLOT_TRANSFORMATION ALL { white range   } .5 1.  .5 1.  .5 1.  SAME PENWIDTH 0.30 1
  { Special mappings for BLACK, WHITE etc. }
  PLOT_TRANSFORMATION ALL { black color   } BLACK SAME 0
  PLOT_TRANSFORMATION ALL { white color   } WHITE SAME PENWIDTH 0.3 1
  PLOT_TRANSFORMATION PHANTOM CYAN SAME 0
  PLOT_LINETYPE_LENGTH 8 8 8 8 8 8 5
  PLOT_LINETYPE_LENGTH DASHED 1
END_DEFINE

DEFINE mi2pdf
  LOCAL name
  LOCAL masstab
  LOCAL din_format
  LOCAL zname
  LOCAL znamelen
  LOCAL testa
  LOCAL testb
  LOCAL idx
  EDIT_PART TOP
  INQ_ENV 6
  LET masstab (INQ 4)
  INQ_ENV 7
  LET din_format (((INQ 102)-(INQ 101))*masstab)
  LET name (INQ 301)
  LET zname (name)
  LET znamlen (LEN zname)
  LET testa (SUBSTR (INQ 301) 1 1)
  LET testb (SUBSTR (INQ 301) LEN (INQ 301) 1)
  IF ((testa = '#') and (testb='#'))
   LET zname (SUBSTR (INQ 301) 2 (LEN (INQ 301)-2))
  END_IF
  LET name (zname)
  PLOTTER_TYPE 'PDF_GENERIC'
  Set_sys_plot_filename_prefix (name+'.pdf')
  Set_sys_plot_filename_generate 0
  Set_sys_plot_rot 0
  Set_sys_plot_offset_x 0
  Set_sys_plot_offset_y 0
  Set_sys_plot_format_width (X_OF(din_format))
  Set_sys_plot_format_height (Y_OF(din_format))
  Set_sys_plot_format 'USER'
  Set_sys_plot_source ALL
  Set_sys_plot_plotscale 1
  wemplot
  plot_set
  plot_output
  reset_plot
END_DEFINE

DEFINE kkmi2pdf
  LOCAL P1
  LOCAL P2
  LOCAL name
  LOCAL masstab
  LOCAL din_format
  EDIT_PART TOP
  INQ_ENV 6
  LET masstab (INQ 4)
  INQ_ENV 7
  LET din_format (((INQ 102)-(INQ 101))*masstab)
  LET name (INQ 301)
  LET zname (name)
  LET znamlen (LEN zname)
  LET testa (SUBSTR (INQ 301) 1 1)
  LET testb (SUBSTR (INQ 301) LEN (INQ 301) 1)
  IF ((testa = '#') and (testb='#'))
   LET zname (SUBSTR (INQ 301) 2 (LEN (INQ 301)-2))
  END_IF
  LET name (zname)
  READ PNT 'Linke untere Ecke fuer Plotfenster eingeben.' P1
  READ PNT 'Rechte obere Ecke fuer Plotfenster eingeben.' RUBBER_BOX P1 P2
  Set_sys_plot_source_ll P1
  Set_sys_plot_source_ur P2
  Set_sys_plot_source TWO_PTS
  PLOTTER_TYPE 'PDF_GENERIC'
  Set_sys_plot_filename_prefix (name+'.pdf')
  Set_sys_plot_filename_generate 0
  Set_sys_plot_rot 0
  Set_sys_plot_offset_x 0
  Set_sys_plot_offset_y 0
  LET din_format ((P2-P1)*masstab)
  Set_sys_plot_format_width (X_OF(din_format))
  Set_sys_plot_format_height (Y_OF(din_format))
  Set_sys_plot_format 'USER'
  Set_sys_plot_plotscale 1
  wemplot
  plot_set
  plot_output
  reset_plot
END_DEFINE

DEFINE mail_me10
  PARAMETER anhang
  LOCAL zipper
  LOCAL name
  LOCAL zname
  LOCAL znamelen
  LOCAL testa
  LOCAL testb
  LOCAL idx
  LOCAL temppfad
  LOCAL urpfad
  LOCAL pname
  LOCAL mailpfadname
  LOCAL dummy
  EDIT_PART TOP
  INQ_ENV 7
  LET name (INQ 301)
  LET zname (name)
  LET znamlen (LEN zname)
  LET testa (SUBSTR (INQ 301) 1 1)
  LET testb (SUBSTR (INQ 301) LEN (INQ 301) 1)
  IF ((testa = '#') and (testb='#'))
   LET zname (SUBSTR (INQ 301) 2 (LEN (INQ 301)-2))
  END_IF
  LET name (zname)
  INQ_ENV 0
  LET urpfad (INQ 302)
  LET temppfad (GETENV("TMP"))
  CURRENT_DIRECTORY (temppfad)
  INQ_ENV 0
  LET temppfad (INQ 302)
  PURGE_FILE (temppfad+'\*.zip') CONFIRM
  PURGE_FILE (temppfad+'\*.pdf') CONFIRM
  IF (anhang='dxf')
    TRAP_ERROR
    STORE DXF ALL DEL_OLD (name+'.dxf')
    LET dummy CHECK_ERROR
    LET zipper 'C:\Programme\7-Zip'
    IF (WINEXEC (zipper+'\7z.exe')=NO_ERROR)
      RUN (zipper + '\7z.exe a -tzip ' + name + '.zip ' + name + '.dxf')
      LET fehler FALSE
      LET zname (name+'.zip')
      LET mailpfadname ('file:///'+temppfad+'/'+zname)
    ELSE
      DISPLAY ('7-Zip ist nicht installiert')
      CURRENT_DIRECTORY (urpfad)
      CANCEL
    END_IF
  ELSE_IF (anhang='pdf')
    mi2pdf
    LET pname (name + '.pdf')
    {urlname name}
    LET mailpfadname ('file:///'+temppfad+'/'+pname)
  ELSE_IF (anhang='kpdf')
    kkmi2pdf
    LET pname (name + '.pdf')
    {urlname name}
    LET mailpfadname ('file:///'+temppfad+'/'+pname)
  ELSE_IF (anhang='dxfpdf')
    TRAP_ERROR
    STORE DXF ALL DEL_OLD (name+'.dxf')
    LET dummy CHECK_ERROR
    LET zipper 'C:\Programme\7-Zip'
    IF (WINEXEC (zipper+'\7z.exe')=NO_ERROR)
      RUN (zipper + '\7z.exe a -tzip ' + name + '.zip ' + name + '.dxf')
      LET zname (name+'.zip')
      mi2pdf
      LET pname (name+'.pdf')
      LET mailpfadname ('file:///'+temppfad+'/'+zname+','+'file:///'+temppfad+'/'+pname)
    ELSE
      DISPLAY ('7-Zip ist nicht installiert')
      CURRENT_DIRECTORY (urpfad)
      CANCEL
    END_IF
  ELSE_IF (anhang='dwg')
    TRAP_ERROR
    STORE DWG ALL DEL_OLD (name+'.dwg')
    LET dummy CHECK_ERROR
    LET zipper 'C:\Programme\7-Zip'
    IF (WINEXEC (zipper+'\7z.exe')=NO_ERROR)
      RUN (zipper + '\7z.exe a -tzip ' + name + '.zip ' + name + '.dwg')
      LET fehler FALSE
      LET zname (name+'.zip')
      LET mailpfadname ('file:///'+temppfad+'/'+zname)
    ELSE
      DISPLAY ('7-Zip ist nicht installiert')
      CURRENT_DIRECTORY (urpfad)
      CANCEL
    END_IF
  ELSE_IF (anhang='dwgpdf')
    TRAP_ERROR
    STORE DWG ALL DEL_OLD (name+'.dwg')
    LET dummy CHECK_ERROR
    LET zipper 'C:\Programme\7-Zip'
    IF (WINEXEC (zipper+'\7z.exe')=NO_ERROR)
      RUN (zipper + '\7z.exe a -tzip ' + name + '.zip ' + name + '.dwg')
      LET fehler FALSE
      LET zname (name+'.zip')
      mi2pdf
      LET pname (name+'.pdf')
      LET mailpfadname ('file:///'+temppfad+'/'+zname+','+'file:///'+temppfad+'/'+pname)
    ELSE
      DISPLAY ('7-Zip ist nicht installiert')
      CURRENT_DIRECTORY (urpfad)
      CANCEL
    END_IF
  END_IF
  PURGE_FILE (temppfad+'\*.dxf') CONFIRM
  PURGE_FILE (temppfad+'\*.dwg') CONFIRM
  PURGE_FILE (temppfad+'\*.log') CONFIRM
  IF (anhang='kpdf')
    LET test (WINEXEC ('SEAMONKEY -compose attachment='+chr(39)+mailpfadname+chr(39)+',subject=Ausschnitt%20aus%20Zeichnung%20'+name))
  ELSE
    LET test (WINEXEC ('SEAMONKEY -compose attachment='+chr(39)+mailpfadname+chr(39)+',subject=Zeichnung%20'+name))
  END_IF
  IF (test=ERROR)
    DISPLAY ('Email-Programm konnte nicht gestartet werden')
  END_IF
  CURRENT_DIRECTORY (urpfad)
END_DEFINE